{ pkgs, ... }:

{
  imports = [
    ../profiles/desktop.nix
    ../profiles/gnome.nix
    ../profiles/linux-common.nix
  ];

  boot.extraModulePackages = [ ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "virtio_pci" "usbhid" "usb_storage" "sr_mod" ];
  boot.initrd.kernelModules = [ ];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.efi.efiSysMountPoint = "/boot/efi";

  environment.systemPackages = with pkgs; [ mesa ];

  fileSystems."/" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "ext4";
  };

  fileSystems."/boot/efi" = {
    device = "/dev/disk/by-label/BOOT";
    fsType = "vfat";
  };

  networking.hostName = "zeus-utmvm";

  services.spice-vdagentd.enable = true;

  swapDevices = [ ];
}
